#pragma once
#include <map>
struct M_ActivityFishingCeleGiftRechargeData
{
	//ID
	int mID;
	//对应礼包ID
	int mGiftID;
	//需要道具ID
	int mneedItem;
	//需要道具数量
	int mneedCount;
};

class M_ActivityFishingCeleGiftRecharge
{
public:
private:
	static std::auto_ptr<M_ActivityFishingCeleGiftRecharge> msSingleton;
public:
	int GetCount();
	const M_ActivityFishingCeleGiftRechargeData* GetData(int ID);
	const std::map<int, M_ActivityFishingCeleGiftRechargeData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityFishingCeleGiftRecharge* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityFishingCeleGiftRechargeData> mMapData;
};
